package com.e6yun.project.sdk.api.pojo.basevo.cold;

import com.google.common.base.MoreObjects;

import java.math.BigDecimal;

/**
 * @Description ApiEquipTempHumVO
 * @Author jiangruikang@e6yun.com
 * @Created Date: 2021/7/13 14:50
 * @ClassName ApiEquipTempHumVO
 * @Remark
 */
public class ApiEquipTempHumVO {

    /**
     * 温度
     */
    private BigDecimal temp;
    /**
     * 湿度
     */
    private Integer hum;
    /**
     * 数据时间 yyyy-MM-dd HH:mm:ss
     */
    private String gpstime;
    /**
     * 电量值
     */
    private Integer elecValue;

    public BigDecimal getTemp() {
        return temp;
    }

    public void setTemp(BigDecimal temp) {
        this.temp = temp;
    }

    public Integer getHum() {
        return hum;
    }

    public void setHum(Integer hum) {
        this.hum = hum;
    }

    public String getGpstime() {
        return gpstime;
    }

    public void setGpstime(String gpstime) {
        this.gpstime = gpstime;
    }

    public Integer getElecValue() {
        return elecValue;
    }

    public void setElecValue(Integer elecValue) {
        this.elecValue = elecValue;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("temp", temp)
                .add("hum", hum)
                .add("gpstime", gpstime)
                .add("elecValue", elecValue)
                .toString();
    }
}
